import type { JahiaComponent } from "./jahiaComponent";
/**
 * Registers Jahia components into the global registry as views
 *
 * @deprecated Use `jahiaComponent()` instead to define and register a component.
 * @param jahiaComponents An object containing the jahia components to register
 */
export declare function registerJahiaComponents(jahiaComponents: Record<string | number | symbol, {
    (): React.JSX.Element;
    jahiaComponent: JahiaComponent;
}>): void;
