import type { GraphQLFormattedError } from "graphql";
/**
 * Execute a GraphQL query synchronously
 *
 * @returns The result of the query
 */
export declare const useGQLQuery: ({ query, variables, operationName, }: {
    /** The GraphQL query to execute */
    query: string;
    /** The variables to use for the query */
    variables?: Record<string, unknown>;
    /** The operation name to use for the query */
    operationName?: string;
}) => {
    data: any;
    errors?: GraphQLFormattedError[];
};
