import type { Node } from "javax.jcr";
/**
 * Execute a JCR query
 *
 * @returns The result of the query
 */
export declare const useJCRQuery: ({ query, }: {
    /** The JCR query to execute. */
    query: string;
}) => Node[];
